Loading...
Searching...
No Matches
XrdCpConfig::defVar Struct Reference

`#include <XrdCpConfig.hh>`

Collaboration diagram for XrdCpConfig::defVar:

## Public Member Functions

| defVar (const char *vn, const char *vl)
| defVar (const char *vn, int vl)

## Public Attributes

union { |
int | intVal
const char * | strVal
}; |
defVar * | Next
const char * | vName

## Detailed Description

Definition at line 51 of file XrdCpConfig.hh.

## Constructor & Destructor Documentation

## defVar() [1/2]

XrdCpConfig::defVar::defVar | ( | const char * | vn,
|  | const char * | vl )

inline

Definition at line 57 of file XrdCpConfig.hh.

: Next(0), vName(vn), strVal(vl) {}
XrdCpConfig::defVar::Next
defVar * Next
Definition XrdCpConfig.hh:52
XrdCpConfig::defVar::vName
const char * vName
Definition XrdCpConfig.hh:53

References Next, and vName.

## defVar() [2/2]

XrdCpConfig::defVar::defVar | ( | const char * | vn,
|  | int | vl )

inline

Definition at line 59 of file XrdCpConfig.hh.

: Next(0), vName(vn), intVal(vl) {}

References Next, and vName.

## Member Data Documentation

## [union]

union { ... } XrdCpConfig::defVar

## Next

defVar* XrdCpConfig::defVar::Next

Definition at line 52 of file XrdCpConfig.hh.

Referenced by defVar(), defVar(), XrdCpConfig::~XrdCpConfig(), and ProcessCommandLineEnv().

## vName

const char* XrdCpConfig::defVar::vName

Definition at line 53 of file XrdCpConfig.hh.

Referenced by defVar(), defVar(), and ProcessCommandLineEnv().

The documentation for this struct was generated from the following file:

- XrdCpConfig.hh